﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;
using ZE.Data;

namespace ZE.Data.Migrations
{
    [DbContext(typeof(DataContext))]
    partial class DataContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasPostgresEnum(null, "delivery_state", new[] { "scheduled", "pending", "completed", "cancelled" })
                .HasPostgresEnum(null, "document_type", new[] { "passport", "driving_license" })
                .HasPostgresEnum(null, "locker_state", new[] { "closed", "opened_for_delivery", "opened_for_take_out", "opened_for_maintenance" })
                .HasPostgresEnum(null, "locker_status", new[] { "vacant", "busy" })
                .HasPostgresEnum(null, "parcel_cancellation_reason", new[] { "not_paid", "sender_refuse", "receiver_refuse" })
                .HasPostgresEnum(null, "parcel_state", new[] { "created", "sent", "taken_to_delivery", "pending_delivery", "delivered_to_locker", "taken_by_receiver", "returned_to_locker", "returned_to_receiver", "cancelled" })
                .HasPostgresEnum(null, "participant_type", new[] { "individual", "legal_entity" })
                .HasPostgresEnum(null, "payment_status", new[] { "paid", "pending" })
                .HasPostgresEnum(null, "postamat_state", new[] { "available", "unavailable", "under_maintenance" })
                .HasPostgresEnum(null, "postamat_status", new[] { "vacant", "busy" })
                .HasPostgresEnum(null, "postamat_type", new[] { "mini", "standard", "compact", "big" })
                .HasPostgresEnum(null, "who_pays", new[] { "sender", "receiver" })
                .HasAnnotation("Relational:MaxIdentifierLength", 63)
                .HasAnnotation("ProductVersion", "5.0.7")
                .HasAnnotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.IdentityByDefaultColumn);

            modelBuilder.Entity("ZE.Data.Models.City", b =>
                {
                    b.Property<Guid>("CityId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<string>("Code")
                        .HasMaxLength(10)
                        .HasColumnType("character varying(10)");

                    b.Property<string>("Name")
                        .HasMaxLength(50)
                        .HasColumnType("character varying(50)");

                    b.HasKey("CityId");

                    b.ToTable("City");
                });

            modelBuilder.Entity("ZE.Data.Models.Courier", b =>
                {
                    b.Property<Guid>("CourierId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<string>("Email")
                        .HasMaxLength(50)
                        .HasColumnType("character varying(50)");

                    b.Property<string>("FirstName")
                        .HasMaxLength(50)
                        .HasColumnType("character varying(50)");

                    b.Property<string>("LastName")
                        .HasMaxLength(50)
                        .HasColumnType("character varying(50)");

                    b.Property<Guid?>("LegalEntityId")
                        .HasColumnType("uuid");

                    b.Property<string>("MiddleName")
                        .HasMaxLength(50)
                        .HasColumnType("character varying(50)");

                    b.Property<string>("PhoneNumber")
                        .HasMaxLength(20)
                        .HasColumnType("character varying(20)");

                    b.HasKey("CourierId");

                    b.HasIndex("LegalEntityId");

                    b.ToTable("Courier");
                });

            modelBuilder.Entity("ZE.Data.Models.Delivery", b =>
                {
                    b.Property<Guid>("DeliveryId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<Guid?>("CourierId")
                        .HasColumnType("uuid");

                    b.Property<DateTimeOffset>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<Guid>("CreatedById")
                        .HasColumnType("uuid");

                    b.Property<int>("DeliveryState")
                        .HasColumnType("integer");

                    b.Property<DateTimeOffset?>("FactEndTime")
                        .HasColumnType("timestamp with time zone");

                    b.Property<DateTimeOffset?>("FactStartTime")
                        .HasColumnType("timestamp with time zone");

                    b.Property<DateTimeOffset>("PlanDate")
                        .HasColumnType("timestamp with time zone");

                    b.Property<DateTimeOffset>("Updated")
                        .HasColumnType("timestamp with time zone");

                    b.Property<Guid>("UpdatedById")
                        .HasColumnType("uuid");

                    b.HasKey("DeliveryId");

                    b.HasIndex("CourierId");

                    b.HasIndex("CreatedById");

                    b.HasIndex("UpdatedById");

                    b.ToTable("Delivery");
                });

            modelBuilder.Entity("ZE.Data.Models.HowToFindPicture", b =>
                {
                    b.Property<Guid>("PictureId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<int>("Order")
                        .HasColumnType("integer");

                    b.Property<Guid?>("PostamatId")
                        .HasColumnType("uuid");

                    b.Property<string>("Url")
                        .HasMaxLength(500)
                        .HasColumnType("character varying(500)");

                    b.HasKey("PictureId");

                    b.HasIndex("PostamatId");

                    b.ToTable("HowToFindPicture");
                });

            modelBuilder.Entity("ZE.Data.Models.Individual", b =>
                {
                    b.Property<Guid>("IndividualId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<string>("CountryCode")
                        .IsRequired()
                        .HasMaxLength(5)
                        .HasColumnType("character varying(5)");

                    b.Property<string>("Document")
                        .HasMaxLength(100)
                        .HasColumnType("character varying(100)");

                    b.Property<int>("DocumentType")
                        .HasColumnType("integer");

                    b.Property<string>("Email")
                        .HasMaxLength(50)
                        .HasColumnType("character varying(50)");

                    b.Property<string>("FirstName")
                        .IsRequired()
                        .HasMaxLength(50)
                        .HasColumnType("character varying(50)");

                    b.Property<string>("LastName")
                        .IsRequired()
                        .HasMaxLength(50)
                        .HasColumnType("character varying(50)");

                    b.Property<string>("MiddleName")
                        .HasMaxLength(50)
                        .HasColumnType("character varying(50)");

                    b.Property<string>("PhoneNumber")
                        .IsRequired()
                        .HasMaxLength(20)
                        .HasColumnType("character varying(20)");

                    b.HasKey("IndividualId");

                    b.ToTable("Individual");
                });

            modelBuilder.Entity("ZE.Data.Models.LegalEntity", b =>
                {
                    b.Property<Guid>("LegalEntityId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<string>("Email")
                        .HasMaxLength(100)
                        .HasColumnType("character varying(100)");

                    b.Property<string>("FullName")
                        .HasMaxLength(100)
                        .HasColumnType("character varying(100)");

                    b.Property<bool>("IsActive")
                        .HasColumnType("boolean");

                    b.Property<Guid?>("LegalAddressCityId")
                        .HasColumnType("uuid");

                    b.Property<string>("LegalAddressLine1")
                        .HasMaxLength(100)
                        .HasColumnType("character varying(100)");

                    b.Property<string>("LegalAddressLine2")
                        .HasMaxLength(100)
                        .HasColumnType("character varying(100)");

                    b.Property<string>("PhoneNumber1")
                        .HasMaxLength(20)
                        .HasColumnType("character varying(20)");

                    b.Property<string>("PhoneNumber2")
                        .HasMaxLength(20)
                        .HasColumnType("character varying(20)");

                    b.Property<string>("ShortName")
                        .HasMaxLength(20)
                        .HasColumnType("character varying(20)");

                    b.HasKey("LegalEntityId");

                    b.HasIndex("LegalAddressCityId");

                    b.ToTable("LegalEntity");
                });

            modelBuilder.Entity("ZE.Data.Models.Locker", b =>
                {
                    b.Property<Guid?>("LockerId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<Guid>("LockerLocationId")
                        .HasColumnType("uuid");

                    b.Property<int>("LockerState")
                        .HasColumnType("integer");

                    b.Property<int>("LockerStatus")
                        .HasColumnType("integer");

                    b.Property<Guid>("PostamatId")
                        .HasColumnType("uuid");

                    b.HasKey("LockerId");

                    b.HasIndex("LockerLocationId");

                    b.HasIndex("PostamatId");

                    b.ToTable("Locker");
                });

            modelBuilder.Entity("ZE.Data.Models.LockerLocation", b =>
                {
                    b.Property<Guid>("LockerLocationId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<int>("Left")
                        .HasColumnType("integer");

                    b.Property<Guid?>("LockerTypeId")
                        .HasColumnType("uuid");

                    b.Property<Guid>("PostamatFormId")
                        .HasColumnType("uuid");

                    b.Property<int>("Top")
                        .HasColumnType("integer");

                    b.HasKey("LockerLocationId");

                    b.HasIndex("LockerTypeId");

                    b.HasIndex("PostamatFormId");

                    b.ToTable("LockerLocation");
                });

            modelBuilder.Entity("ZE.Data.Models.LockerType", b =>
                {
                    b.Property<Guid>("LockerTypeId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<string>("Code")
                        .HasColumnType("text");

                    b.Property<int>("Depth")
                        .HasColumnType("integer");

                    b.Property<int>("Heigh")
                        .HasColumnType("integer");

                    b.Property<int>("Width")
                        .HasColumnType("integer");

                    b.HasKey("LockerTypeId");

                    b.ToTable("LockerType");
                });

            modelBuilder.Entity("ZE.Data.Models.Parcel", b =>
                {
                    b.Property<Guid>("ParcelId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<byte[]>("Barcode")
                        .HasColumnType("bytea");

                    b.Property<string>("BarcodeString")
                        .HasColumnType("text");

                    b.Property<DateTimeOffset>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<Guid>("CreatedById")
                        .HasColumnType("uuid");

                    b.Property<decimal?>("DeliveryCost")
                        .HasColumnType("numeric");

                    b.Property<Guid?>("DeliveryId")
                        .HasColumnType("uuid");

                    b.Property<int>("DeliveryPaymentStatus")
                        .HasColumnType("integer");

                    b.Property<decimal?>("Depth")
                        .HasColumnType("numeric");

                    b.Property<string>("Description")
                        .HasColumnType("text");

                    b.Property<decimal?>("Heigh")
                        .HasColumnType("numeric");

                    b.Property<Guid?>("LockerId")
                        .HasColumnType("uuid");

                    b.Property<Guid?>("LockerTypeId")
                        .HasColumnType("uuid");

                    b.Property<DateTimeOffset?>("MaxTakeOutDate")
                        .HasColumnType("timestamp with time zone");

                    b.Property<DateTimeOffset?>("Paid")
                        .HasColumnType("timestamp with time zone");

                    b.Property<int?>("ParcelCancellationReason")
                        .HasColumnType("integer");

                    b.Property<int?>("ParcelState")
                        .HasColumnType("integer");

                    b.Property<Guid>("PostamatId")
                        .HasColumnType("uuid");

                    b.Property<Guid?>("ReceiverId")
                        .HasColumnType("uuid");

                    b.Property<Guid?>("SenderId")
                        .HasColumnType("uuid");

                    b.Property<DateTimeOffset>("Updated")
                        .HasColumnType("timestamp with time zone");

                    b.Property<Guid>("UpdatedById")
                        .HasColumnType("uuid");

                    b.Property<decimal?>("Weight")
                        .HasColumnType("numeric");

                    b.Property<int>("WhoPays")
                        .HasColumnType("integer");

                    b.Property<decimal?>("Width")
                        .HasColumnType("numeric");

                    b.HasKey("ParcelId");

                    b.HasIndex("CreatedById");

                    b.HasIndex("DeliveryId");

                    b.HasIndex("LockerId");

                    b.HasIndex("LockerTypeId");

                    b.HasIndex("ParcelState")
                        .HasDatabaseName("IX_Parcel_State");

                    b.HasIndex("PostamatId");

                    b.HasIndex("ReceiverId");

                    b.HasIndex("SenderId");

                    b.HasIndex("UpdatedById");

                    b.ToTable("Parcel");
                });

            modelBuilder.Entity("ZE.Data.Models.ParcelStateHistory", b =>
                {
                    b.Property<Guid>("ParcelStateHistoryId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<Guid>("ParcelId")
                        .HasColumnType("uuid");

                    b.Property<int>("State")
                        .HasColumnType("integer");

                    b.Property<DateTimeOffset>("Time")
                        .HasColumnType("timestamp with time zone");

                    b.HasKey("ParcelStateHistoryId");

                    b.HasIndex("ParcelId");

                    b.ToTable("ParcelStateHistory");
                });

            modelBuilder.Entity("ZE.Data.Models.Participant", b =>
                {
                    b.Property<Guid>("ParticipantId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<Guid?>("IndividualId")
                        .HasColumnType("uuid");

                    b.Property<Guid?>("LegalEntityId")
                        .HasColumnType("uuid");

                    b.Property<int>("ParticipantType")
                        .HasColumnType("integer");

                    b.HasKey("ParticipantId");

                    b.HasIndex("IndividualId");

                    b.HasIndex("LegalEntityId");

                    b.ToTable("Participant");
                });

            modelBuilder.Entity("ZE.Data.Models.Postamat", b =>
                {
                    b.Property<Guid>("PostamatId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<string>("AddressLine1")
                        .HasMaxLength(100)
                        .HasColumnType("character varying(100)");

                    b.Property<string>("AddressLine2")
                        .HasMaxLength(100)
                        .HasColumnType("character varying(100)");

                    b.Property<byte[]>("Barcode")
                        .HasColumnType("bytea");

                    b.Property<string>("BarcodeString")
                        .HasColumnType("text");

                    b.Property<Guid?>("CityId")
                        .HasColumnType("uuid");

                    b.Property<DateTimeOffset>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<Guid>("CreatedById")
                        .HasColumnType("uuid");

                    b.Property<string>("HowToFindDescription")
                        .HasColumnType("text");

                    b.Property<decimal?>("Latitude")
                        .HasColumnType("numeric");

                    b.Property<decimal?>("Longitude")
                        .HasColumnType("numeric");

                    b.Property<decimal?>("MapZoom")
                        .HasColumnType("numeric");

                    b.Property<Guid>("PostamatFormId")
                        .HasColumnType("uuid");

                    b.Property<int>("PostamatState")
                        .HasColumnType("integer");

                    b.Property<int>("PostamatStatus")
                        .HasColumnType("integer");

                    b.Property<string>("UniqueCode")
                        .HasMaxLength(10)
                        .HasColumnType("character varying(10)");

                    b.Property<DateTimeOffset>("Updated")
                        .HasColumnType("timestamp with time zone");

                    b.Property<Guid>("UpdatedById")
                        .HasColumnType("uuid");

                    b.Property<bool>("WithScreen")
                        .HasColumnType("boolean");

                    b.HasKey("PostamatId");

                    b.HasIndex("CityId");

                    b.HasIndex("CreatedById");

                    b.HasIndex("PostamatFormId");

                    b.HasIndex("UpdatedById");

                    b.ToTable("Postamat");
                });

            modelBuilder.Entity("ZE.Data.Models.PostamatForm", b =>
                {
                    b.Property<Guid>("PostamatFormId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<int>("CellsCount")
                        .HasColumnType("integer");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("PictureUrl")
                        .HasColumnType("text");

                    b.Property<int>("PostamatType")
                        .HasColumnType("integer");

                    b.HasKey("PostamatFormId");

                    b.ToTable("PostamatForm");
                });

            modelBuilder.Entity("ZE.Data.Models.Setting", b =>
                {
                    b.Property<string>("Key")
                        .HasColumnType("text");

                    b.Property<string>("Value")
                        .HasColumnType("jsonb");

                    b.HasKey("Key");

                    b.ToTable("Settings");
                });

            modelBuilder.Entity("ZE.Data.Models.User", b =>
                {
                    b.Property<Guid>("UserId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<string>("Email")
                        .HasMaxLength(200)
                        .HasColumnType("character varying(200)");

                    b.Property<string>("FirstName")
                        .HasMaxLength(100)
                        .HasColumnType("character varying(100)");

                    b.Property<bool>("IsEmailConfirmed")
                        .HasColumnType("boolean");

                    b.Property<string>("LastName")
                        .HasMaxLength(100)
                        .HasColumnType("character varying(100)");

                    b.Property<string>("Phone")
                        .HasMaxLength(20)
                        .HasColumnType("character varying(20)");

                    b.HasKey("UserId");

                    b.ToTable("User");
                });

            modelBuilder.Entity("ZE.Data.Models.Courier", b =>
                {
                    b.HasOne("ZE.Data.Models.LegalEntity", "LegalEntity")
                        .WithMany()
                        .HasForeignKey("LegalEntityId");

                    b.Navigation("LegalEntity");
                });

            modelBuilder.Entity("ZE.Data.Models.Delivery", b =>
                {
                    b.HasOne("ZE.Data.Models.Courier", "Courier")
                        .WithMany()
                        .HasForeignKey("CourierId");

                    b.HasOne("ZE.Data.Models.User", "CreatedBy")
                        .WithMany()
                        .HasForeignKey("CreatedById")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("ZE.Data.Models.User", "UpdatedBy")
                        .WithMany()
                        .HasForeignKey("UpdatedById")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Courier");

                    b.Navigation("CreatedBy");

                    b.Navigation("UpdatedBy");
                });

            modelBuilder.Entity("ZE.Data.Models.HowToFindPicture", b =>
                {
                    b.HasOne("ZE.Data.Models.Postamat", "Postamat")
                        .WithMany("HowToFindPictures")
                        .HasForeignKey("PostamatId");

                    b.Navigation("Postamat");
                });

            modelBuilder.Entity("ZE.Data.Models.LegalEntity", b =>
                {
                    b.HasOne("ZE.Data.Models.City", "LegalAddressCity")
                        .WithMany()
                        .HasForeignKey("LegalAddressCityId");

                    b.Navigation("LegalAddressCity");
                });

            modelBuilder.Entity("ZE.Data.Models.Locker", b =>
                {
                    b.HasOne("ZE.Data.Models.LockerLocation", "LockerLocation")
                        .WithMany()
                        .HasForeignKey("LockerLocationId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("ZE.Data.Models.Postamat", "Postamat")
                        .WithMany("Lockers")
                        .HasForeignKey("PostamatId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("LockerLocation");

                    b.Navigation("Postamat");
                });

            modelBuilder.Entity("ZE.Data.Models.LockerLocation", b =>
                {
                    b.HasOne("ZE.Data.Models.LockerType", "LockerType")
                        .WithMany()
                        .HasForeignKey("LockerTypeId");

                    b.HasOne("ZE.Data.Models.PostamatForm", "PostamatForm")
                        .WithMany("LockerLocations")
                        .HasForeignKey("PostamatFormId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("LockerType");

                    b.Navigation("PostamatForm");
                });

            modelBuilder.Entity("ZE.Data.Models.Parcel", b =>
                {
                    b.HasOne("ZE.Data.Models.User", "CreatedBy")
                        .WithMany()
                        .HasForeignKey("CreatedById")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("ZE.Data.Models.Delivery", "Delivery")
                        .WithMany("Parcels")
                        .HasForeignKey("DeliveryId");

                    b.HasOne("ZE.Data.Models.Locker", "Locker")
                        .WithMany()
                        .HasForeignKey("LockerId");

                    b.HasOne("ZE.Data.Models.LockerType", "LockerType")
                        .WithMany()
                        .HasForeignKey("LockerTypeId");

                    b.HasOne("ZE.Data.Models.Postamat", "Postamat")
                        .WithMany()
                        .HasForeignKey("PostamatId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("ZE.Data.Models.Participant", "Receiver")
                        .WithMany("ParcelsIReceived")
                        .HasForeignKey("ReceiverId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("ZE.Data.Models.Participant", "Sender")
                        .WithMany("ParcelsISent")
                        .HasForeignKey("SenderId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("ZE.Data.Models.User", "UpdatedBy")
                        .WithMany()
                        .HasForeignKey("UpdatedById")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("CreatedBy");

                    b.Navigation("Delivery");

                    b.Navigation("Locker");

                    b.Navigation("LockerType");

                    b.Navigation("Postamat");

                    b.Navigation("Receiver");

                    b.Navigation("Sender");

                    b.Navigation("UpdatedBy");
                });

            modelBuilder.Entity("ZE.Data.Models.ParcelStateHistory", b =>
                {
                    b.HasOne("ZE.Data.Models.Parcel", "Parcel")
                        .WithMany("ParcelStateHistories")
                        .HasForeignKey("ParcelId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Parcel");
                });

            modelBuilder.Entity("ZE.Data.Models.Participant", b =>
                {
                    b.HasOne("ZE.Data.Models.Individual", "Individual")
                        .WithMany()
                        .HasForeignKey("IndividualId");

                    b.HasOne("ZE.Data.Models.LegalEntity", "LegalEntity")
                        .WithMany()
                        .HasForeignKey("LegalEntityId");

                    b.Navigation("Individual");

                    b.Navigation("LegalEntity");
                });

            modelBuilder.Entity("ZE.Data.Models.Postamat", b =>
                {
                    b.HasOne("ZE.Data.Models.City", "City")
                        .WithMany()
                        .HasForeignKey("CityId");

                    b.HasOne("ZE.Data.Models.User", "CreatedBy")
                        .WithMany()
                        .HasForeignKey("CreatedById")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("ZE.Data.Models.PostamatForm", "PostamatForm")
                        .WithMany("Postamats")
                        .HasForeignKey("PostamatFormId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("ZE.Data.Models.User", "UpdatedBy")
                        .WithMany()
                        .HasForeignKey("UpdatedById")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("City");

                    b.Navigation("CreatedBy");

                    b.Navigation("PostamatForm");

                    b.Navigation("UpdatedBy");
                });

            modelBuilder.Entity("ZE.Data.Models.Delivery", b =>
                {
                    b.Navigation("Parcels");
                });

            modelBuilder.Entity("ZE.Data.Models.Parcel", b =>
                {
                    b.Navigation("ParcelStateHistories");
                });

            modelBuilder.Entity("ZE.Data.Models.Participant", b =>
                {
                    b.Navigation("ParcelsIReceived");

                    b.Navigation("ParcelsISent");
                });

            modelBuilder.Entity("ZE.Data.Models.Postamat", b =>
                {
                    b.Navigation("HowToFindPictures");

                    b.Navigation("Lockers");
                });

            modelBuilder.Entity("ZE.Data.Models.PostamatForm", b =>
                {
                    b.Navigation("LockerLocations");

                    b.Navigation("Postamats");
                });
#pragma warning restore 612, 618
        }
    }
}
